Bug 1312687 - [abrt] clang: clang::Decl::getCanonicalDecl(): clang killed by SIGSEGV
[abrt] clang: clang::Decl::getCanonicalDecl(): clang killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: llvm (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f4fcc571173b577577eae2a1a65...
:
: 1349984 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-28 17:58 EST by Lorenzo Pistone
Modified: 2016-12-20 14:05 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:05:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (404.29 KB, text/plain)
2016-02-28 17:58 EST, Lorenzo Pistone
no flags Details
File: cgroup (200 bytes, text/plain)
2016-02-28 17:58 EST, Lorenzo Pistone
no flags Details
File: core_backtrace (40.72 KB, text/plain)
2016-02-28 17:58 EST, Lorenzo Pistone
no flags Details
File: dso_list (1.06 KB, text/plain)
2016-02-28 17:58 EST, Lorenzo Pistone
no flags Details
File: environ (3.86 KB, text/plain)
2016-02-28 17:58 EST, Lorenzo Pistone
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-28 17:58 EST, Lorenzo Pistone
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-28 17:59 EST, Lorenzo Pistone
no flags Details
File: maps (7.98 KB, text/plain)
2016-02-28 17:59 EST, Lorenzo Pistone
no flags Details
File: mountinfo (3.23 KB, text/plain)
2016-02-28 17:59 EST, Lorenzo Pistone
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-28 17:59 EST, Lorenzo Pistone
no flags Details
File: open_fds (219 bytes, text/plain)
2016-02-28 17:59 EST, Lorenzo Pistone
no flags Details
File: proc_pid_status (1.04 KB, text/plain)
2016-02-28 17:59 EST, Lorenzo Pistone
no flags Details
File: var_log_messages (510 bytes, text/plain)
2016-02-28 17:59 EST, Lorenzo Pistone
no flags Details

  None (edit)
Description Lorenzo Pistone 2016-02-28 17:58:38 EST
Description of problem:
Bug happens when compiling osxcross (https://github.com/tpoechtrager/osxcross, ./build.sh), with the OS X SDK 7.2.

Version-Release number of selected component:
clang-3.7.0-4.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/clang -cc1 -triple i386-apple-macosx10.7.0 -emit-obj -disable-free -disable-llvm-verifier -main-file-name test_libcxx.cpp -mrelocation-model pic -pic-level 2 -mthread-model posix -mdisable-fp-elim -masm-verbose -target-cpu yonah -target-linker-version 253.3 -dwarf-column-info -nostdinc++ -resource-dir /usr/bin/../lib/clang/3.7.0 -isystem /usr/bin/../lib/clang/3.7.0/include -isysroot /home/pisto/sorgenti/osxcross/target/bin/../SDK/MacOSX10.11.sdk -cxx-isystem /home/pisto/sorgenti/osxcross/target/bin/../SDK/MacOSX10.11.sdk/usr/include/c++/v1 -stdlib=libc++ -O2 -Wall -std=c++11 -fdeprecated-macro -fdebug-compilation-dir /home/pisto/sorgenti/osxcross -ferror-limit 19 -fmessage-length 0 -stack-protector 1 -mstackrealign -fblocks -fobjc-runtime=macosx-fragile-10.7.0 -fobjc-subscripting-legacy-runtime -fencode-extended-block-signature -fcxx-exceptions -fexceptions -fmax-type-align=16 -fdiagnostics-show-option -vectorize-loops -vectorize-slp -o /tmp/test_libcxx-76afac.o -x c++ /home/pisto/sorgenti/osxcross/oclang/test_libcxx.cpp
crash_function: clang::Decl::getCanonicalDecl
executable:     /usr/bin/clang
global_pid:     31810
kernel:         4.4.2-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 clang::Decl::getCanonicalDecl at /usr/src/debug/llvm-3.7.0.src/tools/clang/include/clang/AST/DeclBase.h:735
 #1 (anonymous namespace)::CXXNameMangler::AbiTagState::write at /usr/src/debug/llvm-3.7.0.src/tools/clang/lib/AST/ItaniumMangle.cpp:361
 #2 (anonymous namespace)::CXXNameMangler::writeAbiTags at /usr/src/debug/llvm-3.7.0.src/tools/clang/lib/AST/ItaniumMangle.cpp:654
 #3 (anonymous namespace)::CXXNameMangler::mangleUnresolvedPrefix at /usr/src/debug/llvm-3.7.0.src/tools/clang/lib/AST/ItaniumMangle.cpp:1122
 #4 (anonymous namespace)::CXXNameMangler::mangleUnresolvedName at /usr/src/debug/llvm-3.7.0.src/tools/clang/lib/AST/ItaniumMangle.cpp:1137
 #5 (anonymous namespace)::CXXNameMangler::mangleExpression at /usr/src/debug/llvm-3.7.0.src/tools/clang/lib/AST/ItaniumMangle.cpp:3548
 #12 (anonymous namespace)::CXXNameMangler::mangleTemplateArg at /usr/src/debug/llvm-3.7.0.src/tools/clang/lib/AST/ItaniumMangle.cpp:3867
 #13 (anonymous namespace)::CXXNameMangler::mangleTemplateArgs at /usr/src/debug/llvm-3.7.0.src/tools/clang/lib/AST/ItaniumMangle.cpp:3823
 #14 (anonymous namespace)::CXXNameMangler::manglePrefix at /usr/src/debug/llvm-3.7.0.src/tools/clang/lib/AST/ItaniumMangle.cpp:1026
 #16 (anonymous namespace)::CXXNameMangler::mangleType at /usr/src/debug/llvm-3.7.0.src/tools/clang/lib/AST/ItaniumMangle.cpp:2765
Comment 1 Lorenzo Pistone 2016-02-28 17:58:51 EST
Created attachment 1131362 [details]
File: backtrace
Comment 2 Lorenzo Pistone 2016-02-28 17:58:52 EST
Created attachment 1131363 [details]
File: cgroup
Comment 3 Lorenzo Pistone 2016-02-28 17:58:55 EST
Created attachment 1131364 [details]
File: core_backtrace
Comment 4 Lorenzo Pistone 2016-02-28 17:58:56 EST
Created attachment 1131365 [details]
File: dso_list
Comment 5 Lorenzo Pistone 2016-02-28 17:58:58 EST
Created attachment 1131366 [details]
File: environ
Comment 6 Lorenzo Pistone 2016-02-28 17:58:59 EST
Created attachment 1131367 [details]
File: exploitable
Comment 7 Lorenzo Pistone 2016-02-28 17:59:01 EST
Created attachment 1131368 [details]
File: limits
Comment 8 Lorenzo Pistone 2016-02-28 17:59:03 EST
Created attachment 1131369 [details]
File: maps
Comment 9 Lorenzo Pistone 2016-02-28 17:59:04 EST
Created attachment 1131370 [details]
File: mountinfo
Comment 10 Lorenzo Pistone 2016-02-28 17:59:06 EST
Created attachment 1131371 [details]
File: namespaces
Comment 11 Lorenzo Pistone 2016-02-28 17:59:07 EST
Created attachment 1131372 [details]
File: open_fds
Comment 12 Lorenzo Pistone 2016-02-28 17:59:09 EST
Created attachment 1131373 [details]
File: proc_pid_status
Comment 13 Lorenzo Pistone 2016-02-28 17:59:10 EST
Created attachment 1131374 [details]
File: var_log_messages
Comment 14 Vitaliy Gribko 2016-06-24 14:01:16 EDT
*** Bug 1349984 has been marked as a duplicate of this bug. ***
Comment 15 Vitaliy Gribko 2016-06-24 14:03:55 EDT
Please, fix it!
Comment 16 Fedora End Of Life 2016-11-24 10:49:05 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 14:05:22 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.